## weechat-el 0.3.1

=== Makefile ===
NAME  := weechat
DESCRIPTION := Chat via WeeChat\'s relay protocol in Emacs

EMACS := emacs
BATCH := $(EMACS) --batch --eval '(progn (require (quote package)) (package-initialize) (add-to-list (quote load-path) "."))'

DATE := $(shell date +%Y%m%d)

ifneq ($(wildcard .git),)
	GITVERSION ?= $(shell git describe --tags --dirty --always)
	VERSION ?= $(shell git describe --tags --exact-match 2> /dev/null | sed 's/^v//')
endif

ifeq ($(VERSION),)
	ifneq ($(wildcard version),)
		VERSION := $(shell cat version)
	else
		VERSION := $(DATE)
	endif
endif

PACKAGE := $(NAME)-$(VERSION)
TARBALL := $(PACKAGE).tar
PKG_EL := $(NAME)-pkg.el
PKG_EL_IN := $(PKG_EL).in

TESTS   := $(wildcard *-test.el)
EL 	:= $(wildcard weechat*.el)
SOURCES := $(filter-out $(PKG_EL),$(filter-out $(TESTS),$(EL)))
PACKAGE_CONTENT := $(SOURCES) Makefile README.org README.html

.PHONY: all test doc package clean distclean
all: package
	$(info $(NAME) Version: $(VERSION))

test: $(TESTS)
	@$(BATCH) -l ert.el $(foreach file,$^,-l $(file)) -f ert-run-tests-batch-and-exit

clean:
	$(info Cleaning up)
	@$(RM) $(NAME)-pkg.el README.html README.txt
	@$(RM) -r $(PACKAGE)
	@$(RM) $(TARBALL)

distclean: clean
	@$(RM) -r $(TARBALL)

README.html: README.org
	$(info Creating documentation: $@)
	@$(BATCH) -l org.el --visit=$< -f org-html-export-to-html

doc: README.html

$(PKG_EL): $(PKG_EL_IN)
	sed -e s/@VERSION@/$(VERSION)/ $< > $@

$(TARBALL): $(PKG_EL) doc
	$(info Creating package tarball $(TARBALL))
	@mkdir -p $(PACKAGE)
	@cp -r $(PACKAGE_CONTENT) $(PKG_EL) $(PACKAGE)/
	@echo "$(VERSION)" > $(PACKAGE)/version
ifneq ($(GITVERSION),)
	@echo "$(GITVERSION)" > $(PACKAGE)/git-version
endif
	@tar cf $(TARBALL) $(PACKAGE)

package: $(TARBALL)

=== debian/changelog ===
weechat-el (0.3.1-1) unstable; urgency=medium

  * Initial release (Closes: #864760).

 -- Rémi Vanicat <vanicat@debian.org>  Wed, 14 Jun 2017 15:07:11 +0200

=== debian/control ===
Source: weechat-el
Section: lisp
Priority: optional
Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
Uploaders: Rémi Vanicat <vanicat@debian.org>
Build-Depends: debhelper (>= 10), dh-elpa (>= 1.7), elpa-s
Standards-Version: 4.0.0
Homepage: https://github.com/the-kenny/weechat.el
Testsuite: autopkgtest-pkg-elpa

Package: elpa-weechat
Architecture: all
Depends: ${elpa:Depends}, ${misc:Depends}, emacsen-common (>= 2.0.8)
Recommends: emacs (>= 46.0)
Suggests: weechat
Enhances: emacs, emacs24, emacs25
Built-Using: ${misc:Built-Using}
Description: Chat via WeeChat's relay protocol in Emacs.
 WeeChat is a fast and light chat client that supports IRC and XMPP,
 weechat-el can remote control a weechat instance on localhost or on
 another host, and can use ssl to secure the connection to weechat.

=== debian/watch ===
version=4
opts="mode=git" git@github.com:the-kenny/weechat.el.git refs/tags/v([\d\.\d\.]+) debian

## weechat-el 0.4.0

=== debian/changelog ===
weechat-el (0.4.0-1) unstable; urgency=medium

  * New upstream release

 -- Rémi Vanicat <vanicat@debian.org>  Thu, 16 Nov 2017 18:21:03 +0100

weechat-el (0.3.1-2) unstable; urgency=medium

  * fix watch file
  * add Vcs-* info to control
  * remove .el for loading from makefile in batch mode (fix a FTBS)

 -- Rémi Vanicat <vanicat@debian.org>  Sun, 06 Aug 2017 11:58:00 -0400

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,8 @@
 Standards-Version: 4.0.0
 Homepage: https://github.com/the-kenny/weechat.el
 Testsuite: autopkgtest-pkg-elpa
+Vcs-Git: git://anonscm.debian.org/pkg-emacsen/pkg/weechat-el.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-emacsen/pkg/weechat-el.git/
 
 Package: elpa-weechat
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk

%:
	dh $@ --with elpa

override_dh_auto_build:
	make VERSION=$(DEB_VERSION_UPSTREAM)

override_dh_auto_clean:
	rm -rf weechat-*.tar weechat-*/
	make clean

## weechat-el 0.5.0

=== Makefile ===
--- 
+++ 
@@ -34,7 +34,7 @@
 	$(info $(NAME) Version: $(VERSION))
 
 test: $(TESTS)
-	@$(BATCH) -l ert.el $(foreach file,$^,-l $(file)) -f ert-run-tests-batch-and-exit
+	@$(BATCH) -l ert $(foreach file,$^,-l $(file)) -f ert-run-tests-batch-and-exit
 
 clean:
 	$(info Cleaning up)
@@ -47,7 +47,7 @@
 
 README.html: README.org
 	$(info Creating documentation: $@)
-	@$(BATCH) -l org.el --visit=$< -f org-html-export-to-html
+	@$(BATCH) -l org --visit=$< -f org-html-export-to-html
 
 doc: README.html

=== debian/changelog ===
weechat-el (0.5.0-6) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 26 Jul 2024 11:35:02 +0900

weechat-el (0.5.0-5) unstable; urgency=medium

  * Correct patch with rx to still work with older emacs version.
    Bug fix: "autopkgtest regression: Eager macro-expansion failure:
    (error &quot;Unknown rx form ‘std’&quot;)", thanks to Paul Gevers
    (Closes: #975093).

 -- Rémi Vanicat <vanicat@debian.org>  Thu, 19 Nov 2020 09:02:45 +0100

weechat-el (0.5.0-4) unstable; urgency=medium

  [ David Krauser ]
  * Update maintainer email address

  [ Rémi Vanicat ]
  * Use rx instead of rx-form. Bug fix: "FTBFS: Symbol’s function
    definition is void: rx-form", thanks to Lucas Nussbaum (Closes:
    #973234).

 -- Rémi Vanicat <vanicat@debian.org>  Thu, 29 Oct 2020 13:38:16 +0100

weechat-el (0.5.0-3) unstable; urgency=medium

  * Team upload.
  * Rebuild with current dh-elpa

 -- David Bremner <bremner@debian.org>  Mon, 26 Aug 2019 15:07:32 -0300

weechat-el (0.5.0-2) unstable; urgency=medium

  * Update Vcs url to salsa
  * Remove loading-org-from-compilled-file patch (it has been applied upstream)
  * Add elpa-htmlize to build depends to build README.html
    fix: "FTBFS with Emacs 26.1", thanks to Sean Whitton (Closes: #916811).

 -- Rémi Vanicat <vanicat@debian.org>  Sat, 05 Jan 2019 11:25:57 +0100

weechat-el (0.5.0-1) unstable; urgency=medium

  * New upstream release

 -- Rémi Vanicat <vanicat@debian.org>  Mon, 20 Aug 2018 17:43:20 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: weechat-el
 Section: lisp
 Priority: optional
-Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
+Maintainer: Debian Emacsen Team <debian-emacsen@lists.debian.org>
 Uploaders: Rémi Vanicat <vanicat@debian.org>
-Build-Depends: debhelper (>= 10), dh-elpa (>= 1.7), elpa-s
+Build-Depends: debhelper (>= 10), dh-elpa (>= 1.7), elpa-s, elpa-htmlize
 Standards-Version: 4.0.0
 Homepage: https://github.com/the-kenny/weechat.el
 Testsuite: autopkgtest-pkg-elpa
-Vcs-Git: git://anonscm.debian.org/pkg-emacsen/pkg/weechat-el.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-emacsen/pkg/weechat-el.git/
+Vcs-Browser: https://salsa.debian.org/emacsen-team/weechat-el
+Vcs-Git: https://salsa.debian.org/emacsen-team/weechat-el.git
 
 Package: elpa-weechat
 Architecture: all

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%weechat.el-$1.tar.gz%" \
           https://github.com/the-kenny/weechat.el/tags \
           (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
